Namespace Calculate.Parser

    Public Class PrefixPostfixScanner : Inherits InfixScanner

        Public Sub New(ByVal input As String, Optional ByVal start As Integer = 0)
            MyBase.New(input, start)
        End Sub

        Protected Overrides Function SearchPattern() As String
            Return _
                MyBase.SearchPattern().Replace( _
                    "?<Number>", "?<Number>[-+]?" _
                ).Replace( _
                    "?<Op>\*\*|<<|>>|\.\.|[-+|^*/\\%&?\!;:]", _
                    "?<Op>\*\*|<<|>>|[-+|^*/\\%&?\!:]" _
                )
        End Function

    End Class

End Namespace