Namespace Calculate.Expressions

    Public Class ParseException : Inherits Exception

#Region " Public "

#Region " Constructors "

        Public Sub New(ByVal position As Integer, ByVal message As String)
            MyBase.New(message)
            Me.Position = position
        End Sub

        Public Sub New(ByVal position As Integer)
            MyClass.New(position, "The expression is not formatted correctly.")
        End Sub

#End Region

#Region " Properties "

        Public Property position() As Integer
            Get
                Return _position
            End Get
            Friend Set(ByVal value As Integer)
                _position = value
            End Set
        End Property

#End Region

#Region " Methods "

        Public Overrides Function ToString() As String
            Dim arrow As String = "  "
            For i As Integer = 1 To Position
                arrow &= " "c
            Next

            arrow &= "^"
            Return arrow & ControlChars.NewLine & "Error: " & Message
        End Function

#End Region

#End Region

#Region " Private "

        Private _position As Integer

#End Region

    End Class

End Namespace